Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util.filter
Class OrFilter

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.BitHelper
com.tangosol.util.ExternalizableHelper
com.tangosol.util.filter.ArrayFilter
com.tangosol.util.filter.AnyFilter
com.tangosol.util.filter.OrFilter`

All Implemented Interfaces:
  ExternalizableLite, PortableObject, Filter, EntryFilter, IndexAwareFilter, Serializable

      public class OrFilter

extends AnyFilter

Filter which returns the logical "or" of two other filters.

Author:
  cp/gg 2002.10.27

Nested Class Summary

Nested classes/interfaces inherited from class com.tangosol.util.filter.ArrayFilter
`ArrayFilter.WeightedFilter`

Field Summary

Fields inherited from class com.tangosol.util.filter.ArrayFilter
`m_aFilter`

Constructor Summary
`OrFilter()` Default constructor (necessary for the ExternalizableLite interface).
`OrFilter(Filter filterLeft, Filter filterRight)` Construct an "or" filter.

Method Summary

Methods inherited from class com.tangosol.util.filter.AnyFilter
`applyIndex, calculateEffectiveness, evaluate, evaluateEntry`

Methods inherited from class com.tangosol.util.filter.ArrayFilter
`applyFilter, calculateFilters, equals, getFilters, hashCode, readExternal, readExternal, toString, writeExternal, writeExternal`

Methods inherited from class com.tangosol.util.BitHelper
`countBits, countBits, countBits, indexOfLSB, indexOfLSB, indexOfLSB, indexOfMSB, indexOfMSB, indexOfMSB, rotateLeft, rotateLeft, rotateLeft, rotateRight, rotateRight, rotateRight, toBitString, toBitString, toBitString`

Constructor Detail

### OrFilter

    public OrFilter()

  Default constructor (necessary for the ExternalizableLite interface).

### OrFilter

    public OrFilter(Filter filterLeft,
                    Filter filterRight)

  Construct an "or" filter. The result is defined as:

  > filterLeft || filterRight

  Parameters:
    `filterLeft` - the "left" filter
    `filterRight` - the "right" filter

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.